package io.renren.entity;

import java.util.ArrayList;
import java.util.List;

/**
 * 部门管理对象 sys_branch
 *
 * @author dcsoft
 * @date 2023-03-07
 */
public class SysBranch extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 部门Id */
    private String id;

    /** 部门名称 */
    private String name;

    /** 部门负责人 */
    private String leader;

    /** 联系电话 */
    private String phone;

    /** 父级Id */
    private String parentId;

    /** 祖级列表 */
    private String ancestors;

    /** 所属空间 */
    private Long spaceId;

    private Long deptId;

    private String isExamine;

    private String  ruleId;

    /** 子部门 */
    private List<SysBranch> children = new ArrayList<SysBranch>();

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setLeader(String leader)
    {
        this.leader = leader;
    }

    public String getLeader()
    {
        return leader;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }


    public String getAncestors()
    {
        return ancestors;
    }
    public void setSpaceId(Long spaceId)
    {
        this.spaceId = spaceId;
    }

    public Long getSpaceId()
    {
        return spaceId;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    public List<SysBranch> getChildren() {
        return children;
    }

    public void setChildren(List<SysBranch> children) {
        this.children = children;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }


    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getIsExamine() {
        return isExamine;
    }

    public void setIsExamine(String isExamine) {
        this.isExamine = isExamine;
    }

    public String getRuleId() {
        return ruleId;
    }

    public void setRuleId(String ruleId) {
        this.ruleId = ruleId;
    }
}
